IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PERSHRPOOL') 
CREATE TABLE T_FMM_PERSHRPOOL
(
  FID              BIGINT         DEFAULT 0     NOT NULL,        
  FNUMBER          NVARCHAR(30)   DEFAULT ' '   NOT NULL, 	
  FNAME            NVARCHAR(255)  DEFAULT ' '   NOT NULL, 	
  FCREATEORGID     BIGINT         DEFAULT 0     NOT NULL, 	
  FORGID           BIGINT         DEFAULT 0     NOT NULL,       	
  FCTRLSTRATEGY    NVARCHAR(5)    DEFAULT ' '   NOT NULL, 	
  FSOURCEDATAID    BIGINT         DEFAULT 0     NOT NULL,
  FBITINDEX        INT            DEFAULT 0     NOT NULL,       	
  FSOURCEBITINDEX  INT            DEFAULT 0     NOT NULL, 
  FDESCRIBE        NVARCHAR(255)  DEFAULT ' '   NOT NULL, 	
  FAUDITORID       BIGINT         DEFAULT 0     NOT NULL,   
  FAUDITTIME       DATETIME ,                   
  FPLANAREAID      BIGINT         DEFAULT 0     NOT NULL,  	
  FSTATUS          NVARCHAR(1)    DEFAULT ' '   NOT NULL, 	
  FCREATORID       BIGINT         DEFAULT 0     NOT NULL,   	
  FMODIFIERID      BIGINT         DEFAULT 0     NOT NULL,  	
  FENABLE          NVARCHAR(1)    DEFAULT ' '   NOT NULL, 	
  FCREATETIME      DATETIME ,                 
  FMODIFYTIME      DATETIME ,                  
  FMASTERID        BIGINT         DEFAULT 0     NOT NULL
);
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PERSHRPOOL_L') 
CREATE TABLE T_FMM_PERSHRPOOL_L
(
  FPKID      NVARCHAR(255)       DEFAULT ' '  NOT NULL,          	
  FID        BIGINT              DEFAULT 0    NOT NULL,          	
  FLOCALEID  NVARCHAR(255)       DEFAULT ' '  NOT NULL,          	
  FNAME      NVARCHAR(255)       DEFAULT ' '  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PERSHRENTRY') 
CREATE TABLE T_FMM_PERSHRENTRY
(
  FID             BIGINT       DEFAULT 0    NOT NULL,          
  FENTRYID        BIGINT       DEFAULT 0    NOT NULL,     
  FSEQ            INT          DEFAULT 0    NOT NULL,            	
  FUSERID         BIGINT       DEFAULT 0    NOT NULL,     
  FDEFPROJROLEID  BIGINT       DEFAULT 0    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_MULPROJECTROLE') 
CREATE TABLE T_FMM_MULPROJECTROLE
(
  FPKID        BIGINT     DEFAULT 0     NOT NULL,          
  FENTRYID     BIGINT     DEFAULT 0     NOT NULL,          
  FBASEDATAID  BIGINT     DEFAULT 0     NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_DISPATCHAREA') 
CREATE TABLE T_FMM_DISPATCHAREA
(
  FID              BIGINT        DEFAULT 0   NOT NULL,          
  FNUMBER          NVARCHAR(30)  DEFAULT ' ' NOT NULL, 	
  FNAME            NVARCHAR(255) DEFAULT ' ' NOT NULL, 	
  FCREATEORGID     BIGINT        DEFAULT 0   NOT NULL, 
  FORGID           BIGINT        DEFAULT 0   NOT NULL,       	
  FCTRLSTRATEGY    NVARCHAR(5)   DEFAULT ' ' NOT NULL, 	
  FSOURCEDATAID    BIGINT        DEFAULT 0   NOT NULL, 	
  FBITINDEX        INT           DEFAULT 0   NOT NULL,       
  FSOURCEBITINDEX  INT           DEFAULT 0   NOT NULL, 	
  FDESCRIBE        NVARCHAR(255) DEFAULT ' ' NOT NULL, 
  FAUDITORID       BIGINT        DEFAULT 0   NOT NULL,   	
  FAUDITTIME       DATETIME ,                   	
  FPLANAREAID      BIGINT        DEFAULT 0   NOT NULL,  	
  FSTATUS          NVARCHAR(1)   DEFAULT ' ' NOT NULL, 	
  FCREATORID       BIGINT        DEFAULT 0   NOT NULL,   	
  FMODIFIERID      BIGINT        DEFAULT 0   NOT NULL,  	
  FENABLE          NVARCHAR(1)   DEFAULT ' ' NOT NULL, 
  FCREATETIME      DATETIME ,                  
  FMODIFYTIME      DATETIME ,                
  FMASTERID        BIGINT        DEFAULT 0   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_DISPATCHAREA_L') 
CREATE TABLE T_FMM_DISPATCHAREA_L
(
  FPKID          NVARCHAR(255)     DEFAULT ' '    NOT NULL,          	
  FID            BIGINT            DEFAULT 0      NOT NULL,          	
  FLOCALEID      NVARCHAR(255)     DEFAULT ' '    NOT NULL,          	
  FNAME          NVARCHAR(255)     DEFAULT ' '    NOT NULL
);








